#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	Lightweight task manager
Summary(pl.UTF-8):	Lekki zarządca zadań
Name:		lxtask
Version:	0.1.10
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	27b5258847afc237a5b89666e7a8b45b
URL:		http://www.lxde.org/
BuildRequires:	gettext-tools
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.12.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTask is a lightweight and desktop-independent task manager derived
from xfce4-taskmanager with all dependencies on XFCE removed, new
features, and some improvement of the user interface.

%description -l pl.UTF-8
LXTask to lekki i niezależny od środowiska zarządca zadań, wywodzący
się z pakietu xfce4-taskmanager z usuniętymi zależnościami od XFCE,
nowymi możliwościami i pewnymi ulepszeniami interfejsu użytkownika.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK
# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/frp

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/lxtask
%{_desktopdir}/lxtask.desktop
%{_mandir}/man1/lxtask.1*
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxtask.git;a=log;h=master

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> ea304cb
- build with gtk3 by default

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 6fc92bc
- updated to 0.1.10

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> bd3ea69
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c451da6
- updated gettext BR

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> 0058ad6
- comments

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 3f9824f
- up to 0.1.4, gtk3 bcond

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 58d26b5
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> d95271e
- ws cleanup

* Sat Jul 31 2010 Karol Krenski <charles@pld-linux.org> 10f1476
- BR: gettext-devel, intltool, pkgconfig

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 4f715e7
- unneeded BR

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> bf580f0
- new

